%define name	upgpverify
%define version	0.3.8
%define release	2rph

Summary:	A PGP filter for incoming email and news articles.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.ohse.de/uwe/upgpverify.html
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-optflags.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
Requires:	qmail gnupg

%description
upgpverify verifies a PGP signed or encrypted and signed message
on stdin, checks the user id or key id against a database, if
wanted, and starts another program, providing the payload of the
PGP message on an own file descriptor. upgpverify is designed to
work under qmail. It can handle MIME and non-MIME (traditional PGP
format) messages. It handles base64 and quoted-printable. upgpverify
also sets a few environment variables containing various header of
the incoming email.

upgprules is used to compile rules for upgpverify. Rules, if used,
may allow or deny access for certain keys, and also set environment
variables. 	    
    

%prep
rm -rf %{buildroot}

%setup -q -n mail
%patch0 -p0

%build
make -C %{name}-%{version}/src

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

for i in upgprules upgpverify; do
    install -m755 %{name}-%{version}/src/$i %{buildroot}%{_bindir}/
    install -m644 %{name}-%{version}/src/$i.1 %{buildroot}%{_mandir}/man1/
done

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc %{name}-%{version}/src/ChangeLog
%doc %{name}-%{version}/src/INSTALL
%doc %{name}-%{version}/src/LICENSES*
%doc %{name}-%{version}/src/NEWS
%doc %{name}-%{version}/src/README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.3.8-2rph
- rebuild for rpmhelp.net

* Mon Dec 10 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.8-1mdk
- initial cooker contrib.
- added P0
